package com.aiotagro.cattletrade.constant;

import lombok.Getter;

@Getter
public enum WarningStatusAdminEnum {
    /**
     * 预警类型枚举
     */
    NORMAL_COUNT(0, "盘点正常"),
    NORMAL_DISTANCE(1, "距离正常"),
    COUNT_WARNING(2, "数量盘点预警"),
    DISTANCE_WARNING(3, "运输距离预警"),
    STAGNATION_WARNING(4, "设备停留预警"),
    HIGH_TEMP_WARNING(5, "高温预警"),
    LOW_TEMP_WARNING(6, "低温预警"),
    POSITION_DEVIATION_WARNING(7, "位置偏离预警"),
    DELAY_WARNING(8, "延误预警"),
    EARLY_ARRIVAL_WARNING(9, "超前到达预警");

    private final int value ;
    private final String description ;

    WarningStatusAdminEnum(int value, String desc) {
        this.value = value;
        this.description = desc;
    }
}
